# Overview
Bluebirdday_TranssmartSmartConnect module modifies checkout process and provides pickup shipping method, separate shipping methods per booking profile(delivery options) and booking profile association with table rate conditions.
For installation and initial configuration guide please refer [INSTALL.md](./INSTALL.md). 
If you are going to modify this module behaviour, please look at [FOR_DEVELOPERS.md](./FOR_DEVELOPERS.md).

# Version compatibility
Tested on versions 2.2.9, 2.3.1, 2.3.2, 2.3.3, 2.3.4, 2.3.5, 2.3.7, 2.3.7-p1, 2.4.0, 2.4.2-p1

# Support and Contacts
Please contact us by email support@bluebirdday.nl or from [Bluebird Day website](https://www.bluebirdday.nl).  
We use standard Magento logging.
You can find all errors that have occurred in var/log/transsmart.log.

# Known issues
**Magento 2.3.4, 2.3.5 (CE and EE)**

In Magento 2.3.4 and 2.3.5 something changed in the quote address extension attribute.
These changes affect the Transsmart module and in specifik the pickup location functionality.
The pickup location functionality is not working anymore because a 500 internal server error occurs on the estimate-shipping-methods call.
The following error will be shown:

`500 Error with the message Uncaught Error: Call to a member function setDiscounts() on array in /var/www/html/vendor/magento/module-sales-rule/Model/Quote/Discount.php: 117`
 
This is a known Magento bug and described here: https://github.com/magento/magento2/issues/26682.

To prevent this error a patch should be applied based on this commit.

https://github.com/iMi-digital/magento2/commit/ea70c0ba65fd76c037c33ed77e1e1a40abbdb45a

An update to Magento ^2.4 will also resolve this issue.